$(".aperturarCaja").on('click', function(event) {
    event.preventDefault();
    let importeCaja = $('#aperturaCaja').val();

    if(importeCaja != ""){

    let datos = new FormData();
    datos.append("aperturaCaja", importeCaja);

      $.ajax({
        url:"ajax/caja.ajax.php",
        method: "POST",
        data: datos,
        cache: false,
        contentType: false,
        processData: false,
        dataType:"json",
      })
      .done(function(response) {

        if(response.status == "duplicado"){
          $('#modalApertura').modal('toggle');
          swal({
            type: "error",
            title: "¡Estimado usuario usted ya tiene la caja cerrada del día, vuelva a intentar mañana.!",
            showConfirmButton: true,
            confirmButtonText: "Cerrar"
            }).then(function(result){
            if (result.value) {
              //window.location = "personas";
              
              if($("#idCaja").length){
                $('#idCaja').val(response.respuesta);
              } else {
                location.reload();
              }
            }
          })
        }
        else if(response.status == "success"){
          $('#modalApertura').modal('toggle');
          swal({
            type: "success",
            title: "¡Caja Iniciada con exito!",
            showConfirmButton: true,
            confirmButtonText: "Cerrar"
            }).then(function(result){
            if (result.value) {
              //window.location = "personas";
              if($("#idCaja").length){
                $('#idCaja').val(response.respuesta);
              } else {
                location.reload();
              }
            }
          })
        }
        let filas = "";

  /*
        $.each(response, function(index, val) {


        });*/

      })
      .fail(function() {
        console.log("error");
      })
      .always(function() {
        console.log("complete");
      });


    }

});


$(".btn-carcular-venta").on('click', function(event){
  let ingresoBruto = Number($('#ingresoBruto').val());
  let totalEntregar = Number($('#totalEntregar').val());
  
  let totalSigiente = 0;//ingresoBruto - totalEntregar;
  if(ingresoBruto < totalEntregar){//1020.00 < 1000.00
    swal({
      type: "error",
      title: "¡Total a entregar no puede ser superior a ingreso bruto!",
      showConfirmButton: true,
      confirmButtonText: "Cerrar"
      }).then(function(result){
      if (result.value) {
        //window.location = "personas";
        $('#saldoSiguiente').val(number_format(00,2));
      }
    })
  } else {
    totalSigiente = ingresoBruto - totalEntregar;
    $('#saldoSiguiente').val(number_format(totalSigiente,2));
  }

});

// evento que detecta cuando el input pierde el focus(blur)
$("#totalEntregar").on("blur", function(){
  let valor = $(this).val();
  $(this).val(number_format(valor,2));
});

$("#actualizar-tabla").on("click", function(){
  window.location.href = "consulta-caja";
})

$("#actualizar-tabla2").on("click", function(){
  window.location.href = "movimiento-caja";
})

// evento al generar un reporte en pdf
$(".reporteCajaPDF").on("click", function(){
  let idCaja = $("#idCaja").val();

  var fecha1 = $('#fecha1').val();
  var fecha2 = $('#fecha2').val();


	window.open("extensiones/tcpdf/pdf/reporte-cajas.php?idcaja="+idCaja+'&fecha1='+fecha1+'&fecha2='+fecha2, "_blank");

})

// evento al generar un reporte en pdf
$(".reporteCajaPDF2").on("click", function(){
  let idCaja = $("#idCaja").val();

  var fecha1 = $('#fecha1').val();
  var fecha2 = $('#fecha2').val();


	window.open("extensiones/tcpdf/pdf/reporte-movimiento.php?idcaja="+idCaja+'&fecha1='+fecha1+'&fecha2='+fecha2, "_blank");

})

$(".btnImprimirCaja").on("click", function(){
  var idCaja = $(this).attr("idCaja");
	window.open("extensiones/tcpdf/pdf/reporte-caja-actual.php?idservicios="+idCaja, "_blank");

})


function detalleCaja(respuesta){

}


// funcion para dar formato a un numero
function number_format(amount, decimals) {

  amount += ''; // por si pasan un numero en vez de un string
  amount = parseFloat(amount.replace(/[^0-9\.]/g, '')); // elimino cualquier cosa que no sea numero o punto

  decimals = decimals || 0; // por si la variable no fue fue pasada

  // si no es un numero o es igual a cero retorno el mismo cero
  if (isNaN(amount) || amount === 0)
      return parseFloat(0).toFixed(decimals);

  // si es mayor o menor que cero retorno el valor formateado como numero
  amount = '' + amount.toFixed(decimals);

  var amount_parts = amount.split('.'),
      regexp = /(\d+)(\d{3})/;

  while (regexp.test(amount_parts[0]))
      amount_parts[0] = amount_parts[0].replace(regexp, '$1' + ',' + '$2');

  return amount_parts.join('.');
}
